# Class AprEndpoint.SocketInfo

java.lang.Object
org.apache.tomcat.util.net.AprEndpoint.SocketInfo

Enclosing class:
  `AprEndpoint`

public static class AprEndpoint.SocketInfo extends Object

Author:
  Mladen Turk, Remy Maucherat

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `int`
  `flags`
  `long`
  `socket`
  `long`
  `timeout`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SocketInfo()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static int`
  `merge(int flag1, int flag2)`
  `boolean`
  `read()`
  `String`
  `toString()`
  `boolean`
  `write()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### socket

    public long socket

  - ### timeout

    public long timeout

  - ### flags

    public int flags

- ## Constructor Details

  - ### SocketInfo

    public SocketInfo()

- ## Method Details

  - ### read

    public boolean read()

  - ### write

    public boolean write()

  - ### merge

    public static int merge(int flag1, int flag2)

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`